diff --git a/libRTI/ieee1516-2010/RTIambassadorImplementation.h b/libRTI/ieee1516-2010/RTIambassadorImplementation.h
index dec9e95c..1bb9ba66 100644
--- a/libRTI/ieee1516-2010/RTIambassadorImplementation.h
+++ b/libRTI/ieee1516-2010/RTIambassadorImplementation.h
@@ -355,222 +180,95 @@ public:
 
     // 6.2
     virtual void
-    reserveObjectInstanceName(std::wstring const& theObjectInstanceName) throw(rti1516e::IllegalName,
-                                                                               rti1516e::FederateNotExecutionMember,
-                                                                               rti1516e::SaveInProgress,
-                                                                               rti1516e::RestoreInProgress,
-                                                                               rti1516e::NotConnected,
-                                                                               rti1516e::RTIinternalError);
+    reserveObjectInstanceName(std::wstring const& theObjectInstanceName);
 
     // 6.4
     virtual void
-    releaseObjectInstanceName(std::wstring const& theObjectInstanceName) throw(rti1516e::ObjectInstanceNameNotReserved,
-                                                                               rti1516e::SaveInProgress,
-                                                                               rti1516e::RestoreInProgress,
-                                                                               rti1516e::FederateNotExecutionMember,
-                                                                               rti1516e::NotConnected,
-                                                                               rti1516e::RTIinternalError);
+    releaseObjectInstanceName(std::wstring const& theObjectInstanceName);
 
     // 6.5
-    virtual void reserveMultipleObjectInstanceName(std::set<std::wstring> const& theObjectInstanceNames) throw(
-        rti1516e::IllegalName,
-        rti1516e::NameSetWasEmpty,
-        rti1516e::SaveInProgress,
-        rti1516e::RestoreInProgress,
-        rti1516e::FederateNotExecutionMember,
-        rti1516e::NotConnected,
-        rti1516e::RTIinternalError);
+    virtual void reserveMultipleObjectInstanceName(std::set<std::wstring> const& theObjectInstanceNames) ;
 
     // 6.7
-    virtual void releaseMultipleObjectInstanceName(std::set<std::wstring> const& theObjectInstanceNames) throw(
-        rti1516e::ObjectInstanceNameNotReserved,
-        rti1516e::SaveInProgress,
-        rti1516e::RestoreInProgress,
-        rti1516e::FederateNotExecutionMember,
-        rti1516e::NotConnected,
-        rti1516e::RTIinternalError);
+    virtual void releaseMultipleObjectInstanceName(std::set<std::wstring> const& theObjectInstanceNames) ;
 
     // 6.8
     virtual rti1516e::ObjectInstanceHandle
-    registerObjectInstance(rti1516e::ObjectClassHandle theClass) throw(rti1516e::ObjectClassNotDefined,
-                                                                       rti1516e::ObjectClassNotPublished,
-                                                                       rti1516e::FederateNotExecutionMember,
-                                                                       rti1516e::SaveInProgress,
-                                                                       rti1516e::RestoreInProgress,
-                                                                       rti1516e::NotConnected,
-                                                                       rti1516e::RTIinternalError);
+    registerObjectInstance(rti1516e::ObjectClassHandle theClass);
 
     virtual rti1516e::ObjectInstanceHandle
     registerObjectInstance(rti1516e::ObjectClassHandle theClass,
-                           std::wstring const& theObjectInstanceName) throw(rti1516e::ObjectClassNotDefined,
-                                                                            rti1516e::ObjectClassNotPublished,
-                                                                            rti1516e::ObjectInstanceNameNotReserved,
-                                                                            rti1516e::ObjectInstanceNameInUse,
-                                                                            rti1516e::FederateNotExecutionMember,
-                                                                            rti1516e::SaveInProgress,
-                                                                            rti1516e::RestoreInProgress,
-                                                                            rti1516e::NotConnected,
-                                                                            rti1516e::RTIinternalError);
+                           std::wstring const& theObjectInstanceName);
 
     // 6.10
     virtual void updateAttributeValues(
         rti1516e::ObjectInstanceHandle theObject,
         rti1516e::AttributeHandleValueMap const& theAttributeValues,
-        rti1516e::VariableLengthData const& theUserSuppliedTag) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                      rti1516e::AttributeNotDefined,
-                                                                      rti1516e::AttributeNotOwned,
-                                                                      rti1516e::FederateNotExecutionMember,
-                                                                      rti1516e::SaveInProgress,
-                                                                      rti1516e::RestoreInProgress,
-                                                                      rti1516e::NotConnected,
-                                                                      rti1516e::RTIinternalError);
+        rti1516e::VariableLengthData const& theUserSuppliedTag);
 
     virtual rti1516e::MessageRetractionHandle
     updateAttributeValues(rti1516e::ObjectInstanceHandle theObject,
                           rti1516e::AttributeHandleValueMap const& theAttributeValues,
                           rti1516e::VariableLengthData const& theUserSuppliedTag,
-                          rti1516e::LogicalTime const& theTime) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                      rti1516e::AttributeNotDefined,
-                                                                      rti1516e::AttributeNotOwned,
-                                                                      rti1516e::InvalidLogicalTime,
-                                                                      rti1516e::FederateNotExecutionMember,
-                                                                      rti1516e::SaveInProgress,
-                                                                      rti1516e::RestoreInProgress,
-                                                                      rti1516e::NotConnected,
-                                                                      rti1516e::RTIinternalError);
+                          rti1516e::LogicalTime const& theTime);
 
     // 6.12
     virtual void sendInteraction(
         rti1516e::InteractionClassHandle theInteraction,
         rti1516e::ParameterHandleValueMap const& theParameterValues,
-        rti1516e::VariableLengthData const& theUserSuppliedTag) throw(rti1516e::InteractionClassNotPublished,
-                                                                      rti1516e::InteractionClassNotDefined,
-                                                                      rti1516e::InteractionParameterNotDefined,
-                                                                      rti1516e::FederateNotExecutionMember,
-                                                                      rti1516e::SaveInProgress,
-                                                                      rti1516e::RestoreInProgress,
-                                                                      rti1516e::NotConnected,
-                                                                      rti1516e::RTIinternalError);
+        rti1516e::VariableLengthData const& theUserSuppliedTag);
 
     virtual rti1516e::MessageRetractionHandle
     sendInteraction(rti1516e::InteractionClassHandle theInteraction,
                     rti1516e::ParameterHandleValueMap const& theParameterValues,
                     rti1516e::VariableLengthData const& theUserSuppliedTag,
-                    rti1516e::LogicalTime const& theTime) throw(rti1516e::InteractionClassNotPublished,
-                                                                rti1516e::InteractionClassNotDefined,
-                                                                rti1516e::InteractionParameterNotDefined,
-                                                                rti1516e::InvalidLogicalTime,
-                                                                rti1516e::FederateNotExecutionMember,
-                                                                rti1516e::SaveInProgress,
-                                                                rti1516e::RestoreInProgress,
-                                                                rti1516e::NotConnected,
-                                                                rti1516e::RTIinternalError);
+                    rti1516e::LogicalTime const& theTime);
 
     // 6.14
     virtual void deleteObjectInstance(
         rti1516e::ObjectInstanceHandle theObject,
-        rti1516e::VariableLengthData const& theUserSuppliedTag) throw(rti1516e::DeletePrivilegeNotHeld,
-                                                                      rti1516e::ObjectInstanceNotKnown,
-                                                                      rti1516e::FederateNotExecutionMember,
-                                                                      rti1516e::SaveInProgress,
-                                                                      rti1516e::RestoreInProgress,
-                                                                      rti1516e::NotConnected,
-                                                                      rti1516e::RTIinternalError);
+        rti1516e::VariableLengthData const& theUserSuppliedTag);
 
     virtual rti1516e::MessageRetractionHandle
     deleteObjectInstance(rti1516e::ObjectInstanceHandle theObject,
                          rti1516e::VariableLengthData const& theUserSuppliedTag,
-                         rti1516e::LogicalTime const& theTime) throw(rti1516e::DeletePrivilegeNotHeld,
-                                                                     rti1516e::ObjectInstanceNotKnown,
-                                                                     rti1516e::InvalidLogicalTime,
-                                                                     rti1516e::FederateNotExecutionMember,
-                                                                     rti1516e::SaveInProgress,
-                                                                     rti1516e::RestoreInProgress,
-                                                                     rti1516e::NotConnected,
-                                                                     rti1516e::RTIinternalError);
+                         rti1516e::LogicalTime const& theTime);
 
     // 6.16
     virtual void
-    localDeleteObjectInstance(rti1516e::ObjectInstanceHandle theObject) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                              rti1516e::FederateOwnsAttributes,
-                                                                              rti1516e::OwnershipAcquisitionPending,
-                                                                              rti1516e::FederateNotExecutionMember,
-                                                                              rti1516e::SaveInProgress,
-                                                                              rti1516e::RestoreInProgress,
-                                                                              rti1516e::NotConnected,
-                                                                              rti1516e::RTIinternalError);
+    localDeleteObjectInstance(rti1516e::ObjectInstanceHandle theObject);
 
     // 6.19
     virtual void requestAttributeValueUpdate(
         rti1516e::ObjectInstanceHandle theObject,
         rti1516e::AttributeHandleSet const& theAttributes,
-        rti1516e::VariableLengthData const& theUserSuppliedTag) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                      rti1516e::AttributeNotDefined,
-                                                                      rti1516e::FederateNotExecutionMember,
-                                                                      rti1516e::SaveInProgress,
-                                                                      rti1516e::RestoreInProgress,
-                                                                      rti1516e::NotConnected,
-                                                                      rti1516e::RTIinternalError);
+        rti1516e::VariableLengthData const& theUserSuppliedTag);
 
     virtual void requestAttributeValueUpdate(
         rti1516e::ObjectClassHandle theClass,
         rti1516e::AttributeHandleSet const& theAttributes,
-        rti1516e::VariableLengthData const& theUserSuppliedTag) throw(rti1516e::ObjectClassNotDefined,
-                                                                      rti1516e::AttributeNotDefined,
-                                                                      rti1516e::FederateNotExecutionMember,
-                                                                      rti1516e::SaveInProgress,
-                                                                      rti1516e::RestoreInProgress,
-                                                                      rti1516e::NotConnected,
-                                                                      rti1516e::RTIinternalError);
+        rti1516e::VariableLengthData const& theUserSuppliedTag);
 
     // 6.23
     virtual void requestAttributeTransportationTypeChange(
         rti1516e::ObjectInstanceHandle theObject,
         rti1516e::AttributeHandleSet const& theAttributes,
-        rti1516e::TransportationType theType) throw(rti1516e::AttributeAlreadyBeingChanged,
-                                                    rti1516e::AttributeNotOwned,
-                                                    rti1516e::AttributeNotDefined,
-                                                    rti1516e::ObjectInstanceNotKnown,
-                                                    rti1516e::InvalidTransportationType,
-                                                    rti1516e::SaveInProgress,
-                                                    rti1516e::RestoreInProgress,
-                                                    rti1516e::FederateNotExecutionMember,
-                                                    rti1516e::NotConnected,
-                                                    rti1516e::RTIinternalError);
+        rti1516e::TransportationType theType);
 
     // 6.25
     virtual void
     queryAttributeTransportationType(rti1516e::ObjectInstanceHandle theObject,
-                                     rti1516e::AttributeHandle theAttribute) throw(rti1516e::AttributeNotDefined,
-                                                                                   rti1516e::ObjectInstanceNotKnown,
-                                                                                   rti1516e::SaveInProgress,
-                                                                                   rti1516e::RestoreInProgress,
-                                                                                   rti1516e::FederateNotExecutionMember,
-                                                                                   rti1516e::NotConnected,
-                                                                                   rti1516e::RTIinternalError);
+                                     rti1516e::AttributeHandle theAttribute);
 
     // 6.27
     virtual void requestInteractionTransportationTypeChange(
         rti1516e::InteractionClassHandle theClass,
-        rti1516e::TransportationType theType) throw(rti1516e::InteractionClassAlreadyBeingChanged,
-                                                    rti1516e::InteractionClassNotPublished,
-                                                    rti1516e::InteractionClassNotDefined,
-                                                    rti1516e::InvalidTransportationType,
-                                                    rti1516e::SaveInProgress,
-                                                    rti1516e::RestoreInProgress,
-                                                    rti1516e::FederateNotExecutionMember,
-                                                    rti1516e::NotConnected,
-                                                    rti1516e::RTIinternalError);
+        rti1516e::TransportationType theType);
 
     // 6.29
     virtual void queryInteractionTransportationType(
         rti1516e::FederateHandle theFederate,
-        rti1516e::InteractionClassHandle theInteraction) throw(rti1516e::InteractionClassNotDefined,
-                                                               rti1516e::SaveInProgress,
-                                                               rti1516e::RestoreInProgress,
-                                                               rti1516e::FederateNotExecutionMember,
-                                                               rti1516e::NotConnected,
-                                                               rti1516e::RTIinternalError);
+        rti1516e::InteractionClassHandle theInteraction);
 
     ///////////////////////////////////
     // Ownership Management Services //
